Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime
[Java] Class Reflector

    java.lang.Object
      org.codehaus.groovy.runtime.Reflector

    public class Reflector
    extends java.lang.Object

Provides as alternative to reflection using bytecode generation.

Authors:
  James Strachan

Version:
  \$Revision: 4247 \$

Method Summary
`java.lang.Object` | `invoke(CachedMethod method, java.lang.Object object, java.lang.Object[] arguments)`
`protected java.lang.Object` | `noSuchMethod(CachedMethod method, java.lang.Object object, java.lang.Object[] arguments)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### invoke

    public java.lang.Object invoke(CachedMethod method, java.lang.Object object, java.lang.Object[] arguments)

### noSuchMethod

    protected java.lang.Object noSuchMethod(CachedMethod method, java.lang.Object object, java.lang.Object[] arguments)

Groovy Documentation